Bug 1518 - [UPDATE REQUEST] rosa-launcher
: [UPDATE REQUEST] rosa-launcher
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 11:53 MSK by Alexander Skakov
Modified: 2013-02-05 11:11 MSK (History)
3 users (show)

See Also:
RPM Package: rosa-launcher-2.0.0-51.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Skakov 2013-01-28 11:53:18 MSK
Advisory:
SimpleWelcome2 changes:
- Unified with KDM process of avatar retrieving, added default one
- Tooltip hides when page is changed via mouse wheel
- Worked-around a bug with icons disappearing on 13+ pages

Buildlists:
https://abf.rosalinux.ru/build_lists/901352
https://abf.rosalinux.ru/build_lists/901353
Comment 1 Vladimir Potapov 2013-02-02 10:37:03 MSK
(In reply to comment #0)
> SimpleWelcome2 changes:
> - Unified with KDM process of avatar retrieving, added default one
> - Worked-around a bug with icons disappearing on 13+ pages
How to check these fixes?
Comment 2 Alexander Skakov 2013-02-04 11:56:04 MSK
> - Worked-around a bug with icons disappearing on 13+ pages
http://bugs.rosalinux.ru/show_bug.cgi?id=1391

> - Unified with KDM process of avatar retrieving, added default one
The algorithm of avatar choosing is now the following:
1. Trying ~/.face.icon
2. If it failed, trying /usr/share/faces/$user_name$.png
3. If it failed again, using /usr/share/faces/default.png

Earlier there was only the 1st point and empty avatar in case it failed
Comment 3 Vladimir Potapov 2013-02-04 13:36:49 MSK
Oh, how do you create 13 pages of programs?
Comment 4 Denis Koryavov 2013-02-04 14:29:45 MSK
You can make many duplicates for .desktop-files in folder /usr/share/applications, or install many many programs. :)
Comment 5 Vladimir Potapov 2013-02-04 15:24:38 MSK
for ((i=0;i<500;i++));do cp firefox.desktop `echo firefox${i}.desktop | sed "s@firefox\(.\)\.desktop@firefox00\1.desktop@" | sed "s@firefox\(..\)\.desktop@firefox0\1.desktop@"` ;done

:-)
Comment 6 Vladimir Potapov 2013-02-04 15:26:08 MSK
rosa-launcher-2.0.0-52-rosa2012.1
******************* Adivisory ******************
- Unified with KDM process of avatar retrieving, added default one
- Tooltip hides when page is changed via mouse wheel
- Worked-around a bug with icons disappearing on 13+ pages (#1391)
************************************************
QA Verified